# Other Ruby classes (GraphQL, lib, mailers, builders)

Other than models, controllers and components, there are a few other folders containing Ruby code:

* `app/form_builders/`
* `app/graphql/`
* `app/lib/`
* `app/mailers/`

The files in these folders can be customized like any other Ruby file (see [customizing models](/tech_docs/customization/models.md) for more information).

For example, in order to customize the `app/form_builders/consul_form_builder.rb` file, create a file `app/form_builders/custom/consul_form_builder.rb` with the following content:

```ruby
load Rails.root.join("app", "form_builders", "consul_form_builder.rb")

class ConsulFormBuilder
  # Your custom logic here
end
```

Or, in order to customize the `app/lib/remote_translations/caller.rb` file, create a file `app/lib/custom/remote_translations/caller.rb` with the following content:

```ruby
load Rails.root.join("app", "lib", "remote_translations", "caller.rb")

class RemoteTranslations::Caller
  # Your custom logic here
end
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.consuldemocracy.org/tech_docs/customization/ruby.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
